# -*- coding: utf-8 -*-

# Code for IP Address borrowed from ...
# http://stackoverflow.com/questions/24196932/how-can-i-get-the-ip-address-of-eth0-in-python

# Code for DateTime borrowed from ...
# http://stackoverflow.com/questions/415511/how-to-get-current-time-in-python

# Python DateTime formats 
# https://docs.python.org/2/library/time.html


import thp_client
from datetime import datetime

import socket
import fcntl
import struct

#import sys

port = 10001
degree_sign= u'\N{DEGREE SIGN}'
datefmt_DMY_1 = '%d.%m.%Y'
datefmt_MDY_1 = '%m.%d.%Y'
datefmt_YMD_1 = '%Y.%m.%d'
datefmt_DMY_2 = '%d/%m/%Y'
datefmt_MDY_2 = '%m/%d/%Y'
datefmt_YMD_2 = '%Y/%m/%d'
datefmt_DMY_3 = '%d-%m-%Y'
datefmt_MDY_3 = '%m-%d-%Y'
datefmt_YMD_3 = '%Y-%m-%d'
timefmt_24 = '%H:%M:%S'
timefmt_12 = '%I:%M:%S %p'
#timefmt_12 = '%I:%M:%S'

def get_ip_address(ifname):
    s = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
    return socket.inet_ntoa(fcntl.ioctl(
        s.fileno(),
        0x8915,  # SIOCGIFADDR
        struct.pack('256s', ifname[:15])
    )[20:24])

ip = get_ip_address('eth0')  # '192.168.0.110'

thp = thp_client.THP_socket('192.168.100.151',port) 
error,temp,rh,press = thp.getTHP()
print 'getTHP called... Error = ' + str(error) + ' : Temp = ' + str(temp) + degree_sign.encode('utf8') + 'C : RH = ' + str(rh) + '% : Pressure = ' + str(press)
error,temp,rh = thp.getTH()
print 'getTH called... Error = ' + str(error) + ' : Temp = ' + str(temp) + degree_sign.encode('utf8') + 'C : RH = ' + str(rh) + '%'

print 'IP Address = ' + ip
print 'Port = ' + str(port)
#dt = str(datetime.now().strftime('%Y-%m-%d %H:%M:%S'))
dt = str(datetime.now().strftime(datefmt_MDY_2 + ' ' + timefmt_24))
print 'Date Time = ' + dt

thp.close_connection()


